Package org.apache.tomcat.util.buf

# Enum Class UEncoder.SafeCharsSet

java.lang.Object
java.lang.Enum<UEncoder.SafeCharsSet>
org.apache.tomcat.util.buf.UEncoder.SafeCharsSet

All Implemented Interfaces:
  `Serializable`, `Comparable<UEncoder.SafeCharsSet>`, `Constable`

Enclosing class:
  `UEncoder`

public static enum UEncoder.SafeCharsSet extends Enum<UEncoder.SafeCharsSet>

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEFAULT`
`WITH_SLASH`

## Method Summary

Modifier and Type
Method
Description
`static UEncoder.SafeCharsSet`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static UEncoder.SafeCharsSet[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### WITH_SLASH

public static final UEncoder.SafeCharsSet WITH_SLASH

### DEFAULT

public static final UEncoder.SafeCharsSet DEFAULT

## Method Details

### values

public static UEncoder.SafeCharsSet[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static UEncoder.SafeCharsSet valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null